> ## Documentation Index
> Fetch the complete documentation index at: https://docs.refold.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get execution by ID

This API retrieves details about an execution using its ID.

## Request description

#### Headers

<ParamField header="linked_account_id" type="string" required>
  Unique customer identification id. For Eg: [markwood@some\_email.com](mailto:markwood@some_email.com)
</ParamField>

#### Path Parameters

<ParamField path="execution_id" type="string" required />

## Response description

<Tabs>
  <Tab title="200">
    <ResponseField name="_id" type="string">
      Execution Id
    </ResponseField>

    <ResponseField name="createdAt" type="string">
      Creation time
    </ResponseField>

    <ResponseField name="name" type="string">
      Execution name
    </ResponseField>

    <ResponseField name="associated_application" type="object">
      Associated application object

      <Expandable title="properties" defaultOpen="true">
        <ResponseField name="icon" type="string">
          Application icon
        </ResponseField>

        <ResponseField name="name" type="string">
          Application Name
        </ResponseField>

        <ResponseField name="_id_" type="string">
          Application Id
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="status" type="string">
      Execution status
    </ResponseField>

    <ResponseField name="associated_workflow" type="object">
      Associated workflow object

      <Expandable title="properties" defaultOpen="true">
        <ResponseField name="icon" type="string">
          Workflow icon
        </ResponseField>

        <ResponseField name="name" type="string">
          Workflow Name
        </ResponseField>

        <ResponseField name="_id_" type="string">
          Workflow Id
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="environment" type="string">
      Expected values: `test` or `production`
    </ResponseField>

    <ResponseField name="config_id" type="string" />

    <ResponseField name="associated_event_id" type="string">
      Associated event id
    </ResponseField>
  </Tab>

  <Tab title="Error response">
    <ResponseField name="status_code" type="integer">
      System generated status Code
    </ResponseField>

    <ResponseField name="http_error_type" type="string">
      System generated error type
    </ResponseField>

    <ResponseField name="error_code" type="string">
      Specific error code to identify the error
    </ResponseField>

    <ResponseField name="message" type="string">
      Error message
    </ResponseField>

    <ResponseField name="request_id" type="string">
      System generated request id
    </ResponseField>
  </Tab>
</Tabs>

<ResponseExample>
  ```JSON 200 theme={null}
  {
      "_id": "65410cf6cdf931a12d7ab009",
      "createdAt": "2023-10-31T14:19:34.788Z",
      "name": "Retry for workflow 65200cfd01af0388e905ad92",
      "associated_application": {
        "icon": "https://cobalt-app-logos.s3.ap-south-1.amazonaws.com/slack/logo.png",
        "name": "Slack",
        "_id": "64f6d9f33234d3d6419cfdbc"
      },
      "status": "ERRORED",
      "associated_workflow": {
        "_id": "64f7258e35b72267edc02589", 
        "name": "Post message to a channel", 
        "icon": ""
      },
      "environment": "test",
      "config_id": "12345",
      "associated_event_id": "6523dfdeffed0fb7e2c3b90e"
  }
  ```

  ```JSON 401 theme={null}
  {
      "status_code": 401,
      "http_error_type": "UNAUTHORIZED",
      "error_code": "SERVER_ERROR",
      "message": "Invalid Credentials"
      "request_id": "89bd1675-a826-46cb-9210-6cb2ae169f67"
  }
  ```
</ResponseExample>
